<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [readPort](./bitburner.ns.readport.md)

## NS.readPort() method

Read data from a port.

**Signature:**

```typescript
readPort(portNumber: number): any;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  portNumber | number | Port to read from. Must be a positive integer. |

**Returns:**

any

The data read.

## Remarks

RAM cost: 0 GB

Read data from that port. A port is a serialized queue. This function will remove the first element from that queue and return it. If the queue is empty, then the string “NULL PORT DATA” will be returned.

